### Constructor

# Cogl Atlas new

#### Declaration [src]

    CoglAtlas*
    cogl_atlas_new (
      CoglContext* context,
      CoglPixelFormat texture_format,
      CoglAtlasFlags flags,
      CoglAtlasUpdatePositionCallback update_position_cb
    )

#### Description

No description available.

This constructor is not directly available to language bindings.

#### Parameters

`context`

  Type: `CoglContext`

  No description available.

  The data is owned by the caller of the function.

`texture_format`

  Type: `CoglPixelFormat`

  No description available.

`flags`

  Type: `CoglAtlasFlags`

  No description available.

`update_position_cb`

  Type: `CoglAtlasUpdatePositionCallback`

  No description available.

#### Return value

Type: `CoglAtlas`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.